Bug 1350300 - Failure to start Eclipse IDE after update to Fedora 24
Summary: Failure to start Eclipse IDE after update to Fedora 24
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse   
(Show other bugs)
Version: 24
Hardware: x86_64 Linux
unspecified
high
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-27 04:52 UTC by Alex Villacís Lasso
Modified: 2017-08-08 15:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 15:05:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file with chain of unsolved requirements terminating with NullPointerException (43.74 KB, text/plain)
2016-06-27 04:52 UTC, Alex Villacís Lasso
no flags Details
log (38.18 KB, text/plain)
2016-07-04 19:57 UTC, Rubén Lledó
no flags Details
screenshots (260.01 KB, application/x-gzip)
2016-07-05 17:00 UTC, Rubén Lledó
no flags Details
log-2016-07-05 (322.93 KB, text/plain)
2016-07-05 17:06 UTC, Rubén Lledó
no flags Details
log_2016-07-12 (752.68 KB, text/plain)
2016-07-12 17:05 UTC, Rubén Lledó
no flags Details
eclipse.log failure after installing fixed packages (213.49 KB, text/plain)
2016-07-23 18:40 UTC, Alex Villacís Lasso
no flags Details

Description Alex Villacís Lasso 2016-06-27 04:52:14 UTC
Created attachment 1172763 [details]
Log file with chain of unsolved requirements terminating with NullPointerException

Description of problem:
After update to Fedora 24 from Fedora 23 x86_64, the Eclipse IDE fails to start. After the splash screen, a cryptic dialog appears referencing a log file, and then terminates. Said log file is attached

Version-Release number of selected component (if applicable):
eclipse-anyedit-2.6.1-1.fc24.noarch
eclipse-cdt-9.0.0-0.9.gitdff6b3b.fc24.x86_64
eclipse-cdt-parsers-9.0.0-0.9.gitdff6b3b.fc24.x86_64
eclipse-changelog-5.0.0-0.2.git504cc73.fc24.noarch
eclipse-collabnet-merge-4.1.0-1.fc24.noarch
eclipse-contributor-tools-4.6.0-0.6.git201605092000.fc24.x86_64
eclipse-dltk-5.4.0-4.fc24.noarch
eclipse-dltk-mylyn-5.4.0-4.fc24.noarch
eclipse-dltk-sh-5.4.0-4.fc24.noarch
eclipse-dtp-1.12.0-7.fc24.noarch
eclipse-e4-importer-0.2.0-0.2.gitb33919c.fc24.noarch
eclipse-ecf-core-3.13.1-1.fc24.x86_64
eclipse-egit-4.3.0-2.fc24.noarch
eclipse-emf-core-2.12.0-0.1.git2021583.fc24.x86_64
eclipse-emf-runtime-2.12.0-0.1.git2021583.fc24.noarch
eclipse-emf-sdk-2.12.0-0.1.git2021583.fc24.noarch
eclipse-epic-0.6.57-2.fc24.noarch
eclipse-equinox-osgi-4.6.0-0.6.git201605092000.fc24.x86_64
eclipse-fedorapackager-0.6.0-0.1.gitb0ca8af.fc24.noarch
eclipse-filesystem-1.0-7.fc24.x86_64
eclipse-gef-3.10.1-2.fc24.noarch
eclipse-jdt-4.6.0-0.6.git201605092000.fc24.noarch
eclipse-jgit-4.3.0-2.fc24.noarch
eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24.noarch
eclipse-license-1.0.1-9.fc24.noarch
eclipse-linuxtools-5.0.0-0.2.git504cc73.fc24.noarch
eclipse-manpage-5.0.0-0.2.git504cc73.fc24.noarch
eclipse-mpc-1.4.2-1.fc24.noarch
eclipse-mylyn-3.19.0-3.fc24.noarch
eclipse-mylyn-context-cdt-3.19.0-3.fc24.noarch
eclipse-mylyn-context-java-3.19.0-3.fc24.noarch
eclipse-mylyn-docs-wikitext-3.19.0-3.fc24.noarch
eclipse-mylyn-tasks-bugzilla-3.19.0-3.fc24.noarch
eclipse-mylyn-tasks-trac-3.19.0-3.fc24.noarch
eclipse-mylyn-tasks-web-3.19.0-3.fc24.noarch
eclipse-nls-4.5.0.v20150804081228-3.fc24.noarch
eclipse-nls-es-4.5.0.v20150804081228-3.fc24.noarch
eclipse-oprofile-5.0.0-0.2.git504cc73.fc24.noarch
eclipse-p2-discovery-4.6.0-0.6.git201605092000.fc24.noarch
eclipse-packagekit-0.2.0-4.fc24.noarch
eclipse-pde-4.6.0-0.6.git201605092000.fc24.x86_64
eclipse-pdt-3.7.0-1.fc24.noarch
eclipse-pdt-sdk-3.7.0-1.fc24.noarch
eclipse-pdt-tests-3.7.0-1.fc24.noarch
eclipse-platform-4.6.0-0.6.git201605092000.fc24.x86_64
eclipse-ptp-9.0.2-2.fc24.x86_64
eclipse-pydev-5.0.0-1.fc24.x86_64
eclipse-remote-2.0.2-1.fc24.noarch
eclipse-rpm-editor-5.0.0-0.2.git504cc73.fc24.noarch
eclipse-rse-3.7.1-0.1.git671d63b.fc24.noarch
eclipse-subclipse-1.10.11-3.fc24.noarch
eclipse-subclipse-graph-1.10.11-3.fc24.noarch
eclipse-swt-4.6.0-0.6.git201605092000.fc24.x86_64
eclipse-tests-4.6.0-0.6.git201605092000.fc24.x86_64
eclipse-tm-terminal-4.0.0-6.gitcf7ef3f.fc24.noarch
eclipse-valgrind-5.0.0-0.2.git504cc73.fc24.noarch
eclipse-webtools-common-3.7.1-3.fc24.noarch
eclipse-webtools-common-core-3.7.1-3.fc24.noarch
eclipse-webtools-javaee-3.7.1-3.fc24.noarch
eclipse-webtools-servertools-3.7.1-3.fc24.noarch
eclipse-webtools-servertools-core-3.7.1-3.fc24.noarch
eclipse-webtools-sourceediting-3.7.1-3.fc24.noarch
eclipse-webtools-webservices-3.7.1-3.fc24.noarch
eclipse-xsd-2.11.0-3.fc24.noarch


How reproducible:
Always

Steps to Reproduce:
1. Attempt to start Eclipse
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Alex Villacís Lasso 2016-06-27 19:32:27 UTC
Why is org.eclipse.core.runtime.compatibility even relevant in the log? See https://bugs.eclipse.org/bugs/show_bug.cgi?id=394739 .

Comment 2 Alex Villacís Lasso 2016-06-28 01:06:17 UTC
After removing:

eclipse-pdt
eclipse-pdt-sdk
eclipse-pdt-tests
eclipse-webtools-javaee
eclipse-webtools-sourceediting
eclipse-webtools-webservices


...I am now hitting #1333480 . So this is two bugs in one, one of which is a duplicate.

Comment 3 Rubén Lledó 2016-07-04 19:57 UTC
Created attachment 1176176 [details]
log

log

Comment 4 Rubén Lledó 2016-07-04 19:57:56 UTC
Same problem

Comment 5 Alexander Kurtakov 2016-07-05 05:25:14 UTC
Would you please try removing eclipse-nls* packages? This is probably a duplicate of bug 1333480.

Comment 6 Rubén Lledó 2016-07-05 17:00 UTC
Created attachment 1176582 [details]
screenshots

IDE crash

Comment 7 Alexander Kurtakov 2016-07-05 17:02:26 UTC
Would you please attach the log file too?

Comment 8 Rubén Lledó 2016-07-05 17:06 UTC
Created attachment 1176583 [details]
log-2016-07-05

log (2016-07-05)

Comment 9 Rubén Lledó 2016-07-05 17:07:53 UTC
(In reply to Alexander Kurtakov from comment #5)
> Would you please try removing eclipse-nls* packages? This is probably a
> duplicate of bug 1333480.

Hi Alexander, I was going to explain... but you were faster than me!!! :):):)

Thank you!

Regards!

Comment 10 Fedora Update System 2016-07-11 20:56:42 UTC
eclipse-dltk-5.5.0-2.fc24 eclipse-gef-3.11.0-1.fc24 eclipse-mpc-1.5.0-2.fc24 eclipse-nls-4.5.0.v20151128060001-2.fc24 eclipse-pdt-4.0.0-1.fc24 eclipse-webtools-3.8.0-1.fc24 eclipse-xsd-2.12.0-1.fc24 lucene-5.5.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 11 Fedora Update System 2016-07-11 20:57:12 UTC
eclipse-dltk-5.5.0-2.fc24 eclipse-gef-3.11.0-1.fc24 eclipse-mpc-1.5.0-2.fc24 eclipse-nls-4.5.0.v20151128060001-2.fc24 eclipse-pdt-4.0.0-1.fc24 eclipse-webtools-3.8.0-1.fc24 eclipse-xsd-2.12.0-1.fc24 lucene-5.5.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 12 Rubén Lledó 2016-07-12 17:05 UTC
Created attachment 1178968 [details]
log_2016-07-12

Comment 13 Rubén Lledó 2016-07-12 17:06:24 UTC
Doesn't work, yet.

eclipse-dtp.noarch                          1.12.0-7.fc24                           @fedora      
eclipse-e4-importer.noarch                  0.2.0-0.2.gitb33919c.fc24               @fedora      
eclipse-ecf-core.x86_64                     3.13.1-1.fc24                           @fedora      
eclipse-emf-core.x86_64                     1:2.12.0-0.1.git2021583.fc24            @fedora      
eclipse-emf-runtime.noarch                  2.12.0-0.1.git2021583.fc24              @fedora      
eclipse-equinox-osgi.x86_64                 1:4.6.0-0.6.git201605092000.fc24        @fedora      
eclipse-filesystem.x86_64                   1.0-7.fc24                              @fedora      
eclipse-gef.noarch                          3.11.0-1.fc24                           @@commandline
eclipse-jdt.noarch                          1:4.6.0-0.6.git201605092000.fc24        @fedora      
eclipse-nls-es.noarch                       4.5.0.v20151128060001-2.fc24            @@commandline
eclipse-pde.x86_64                          1:4.6.0-0.6.git201605092000.fc24        @fedora      
eclipse-platform.x86_64                     1:4.6.0-0.6.git201605092000.fc24        @fedora      
eclipse-swt.x86_64                          1:4.6.0-0.6.git201605092000.fc24        @fedora      
eclipse-webtools-common.noarch              3.8.0-1.fc24                            @@commandline
eclipse-webtools-dali.noarch                3.8.0-1.fc24                            @@commandline
eclipse-webtools-javaee.noarch              3.8.0-1.fc24                            @@commandline
eclipse-webtools-jsf.noarch                 3.8.0-1.fc24                            @@commandline
eclipse-webtools-servertools.noarch         3.8.0-1.fc24                            @@commandline
eclipse-webtools-sourceediting.noarch       3.8.0-1.fc24                            @@commandline
eclipse-xsd.noarch                          2.12.0-1.fc24                           @@commandline
lucene.noarch                               5.5.0-3.fc24                            @@commandline
lucene-analysis.noarch                      5.5.0-3.fc24                            @@commandline
lucene-analyzers-smartcn.noarch             5.5.0-3.fc24                            @@commandline
lucene-misc.noarch                          5.5.0-3.fc24                            @@commandline
lucene-queries.noarch                       5.5.0-3.fc24                            @@commandline
lucene-queryparser.noarch                   5.5.0-3.fc24                            @@commandline
lucene-sandbox.noarch                       5.5.0-3.fc24                            @@commandline
lucene-spatial.noarch                       5.5.0-3.fc24                            @@commandline
lucene-spatial3d.noarch                     5.5.0-3.fc24                            @@commandline

Comment 14 Fedora Update System 2016-07-13 01:25:07 UTC
eclipse-dltk-5.5.0-2.fc24, eclipse-gef-3.11.0-1.fc24, eclipse-mpc-1.5.0-2.fc24, eclipse-nls-4.5.0.v20151128060001-2.fc24, eclipse-pdt-4.0.0-1.fc24, eclipse-webtools-3.8.0-1.fc24, eclipse-xsd-2.12.0-1.fc24, lucene-5.5.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 15 Fedora Update System 2016-07-14 14:27:25 UTC
eclipse-dltk-5.5.0-2.fc24 eclipse-gef-3.11.0-1.fc24 eclipse-mpc-1.5.0-2.fc24 eclipse-nls-4.5.0.v20151128060001-2.fc24 eclipse-pdt-4.0.0-1.fc24 eclipse-webtools-3.8.0-1.fc24 eclipse-xsd-2.12.0-1.fc24 lucene-5.5.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 16 Fedora Update System 2016-07-15 11:54:34 UTC
eclipse-dltk-5.5.0-3.fc24, eclipse-gef-3.11.0-1.fc24, eclipse-mpc-1.5.0-2.fc24, eclipse-nls-4.5.0.v20151128060001-3.fc24, eclipse-pdt-4.0.0-2.fc24, eclipse-webtools-3.8.0-1.fc24, eclipse-xsd-2.12.0-1.fc24, lucene-5.5.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 17 Fedora Update System 2016-07-22 18:24:08 UTC
eclipse-dltk-5.5.0-3.fc24, eclipse-gef-3.11.0-1.fc24, eclipse-mpc-1.5.0-2.fc24, eclipse-nls-4.5.0.v20151128060001-3.fc24, eclipse-pdt-4.0.0-2.fc24, eclipse-webtools-3.8.0-1.fc24, eclipse-xsd-2.12.0-1.fc24, lucene-5.5.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Alex Villacís Lasso 2016-07-23 18:39:56 UTC
Bug is NOT completely fixed for me.

Eclipse still fails to load properly for me, if I install eclipse-nls-4.5.0.v20151128060001-3.fc24.noarch and eclipse-nls-es-4.5.0.v20151128060001-3.fc24.noarch after updating to the fixed packages.

Uninstalling eclipse-nls-es-4.5.0.v20151128060001-3.fc24.noarch works around the failure to load, but I then have no Spanish translations.

Comment 19 Alex Villacís Lasso 2016-07-23 18:40 UTC
Created attachment 1183146 [details]
eclipse.log failure after installing fixed packages

Comment 20 Fedora End Of Life 2017-07-25 21:20:52 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 21 Fedora End Of Life 2017-08-08 15:05:45 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.